﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="concept">
    <head>
        <link href="../Resources/TableStyles/Nested-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Organization Configurations</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Organization Configurations</h1>
        <p>Saviynt Identity Governance and Administration (IGA) provides global configurations  to specify the class name and method name where the custom validation JAR logic is defined. To enable validation for organizations created using UI, bulk upload, or API, specify the following values in <strong>Admin &gt; Global Configuration &gt; Organization </strong>parameter.</p>
        <p>The following options are available in <strong>Organization</strong>:</p>
        <div class="table-wrap">
            <table class="TableStyle-Nested-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Nested-Table.css');" cellspacing="0">
                <col style="width: 232px;" class="TableStyle-Nested-Table-Column-Column1" />
                <col style="width: 691px;" class="TableStyle-Nested-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Nested-Table-Head-Header1">
                        <th class="TableStyle-Nested-Table-HeadE-Column1-Header1">Configuration Field</th>
                        <th class="TableStyle-Nested-Table-HeadD-Column1-Header1">Description</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td colspan="2" class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text"><strong>ONBOARDING</strong>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1" colspan="2">
                            <p class="table-text"><strong>VALIDATION</strong>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Organization Validation External Class<br />(Available from Release v2021.0 onwards)</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the external class name for validating the organizations created using <strong>UI </strong>or <strong>API</strong>.</p>
                            <p class="table-text">The class name for organizations created via UI/API: </p>
                            <p class="table-text"><span class="attr">com.saviynt.custom.OrganizationBulkProcessor.OrganizationBulkProcessor</span>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Organization Validation External Method<br />(Available from Release v2021.0 onwards)</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the external method name under the corresponding class for validating the organizations created using <strong>UI </strong>or <strong>API</strong>.</p>
                            <p class="table-text">The method name for organizations created via UI/API: </p>
                            <p class="table-text"><span class="attr">processOrganization</span>
                            </p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Organization Bulk Upload Validation External Clas<br />(Available from Release v2021.0 onwards)</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the external class name for validating the organizations uploaded to IGA from the Admin or ARS module.</p>
                            <p class="table-text">The class name for organizations created via Bulk: <span class="attr">com.saviynt.custom.OrganizationBulkProcessor.OrganizationBulkProcessor</span></p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1">
                        <td class="TableStyle-Nested-Table-BodyE-Column1-Body1">
                            <p class="table-text">Organization Bulk Upload Validation External Method<br />(Available from Release v2021.0 onwards)</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyD-Column1-Body1">
                            <p class="table-text">Specify the external method name under the corresponding class for validating the organization uploaded to IGA from the Admin or ARS module.</p>
                            <p class="table-text">The method name for organizations created via Bulk: <span class="attr">bulkProcessOranization</span></p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Nested-Table-Body-Body1" MadCap:conditions="Default.v2021X">
                        <td class="TableStyle-Nested-Table-BodyB-Column1-Body1">
                            <p class="table-text">Organization Task Assignment Group<br />(Available from Release v2021.0 onwards)</p>
                        </td>
                        <td class="TableStyle-Nested-Table-BodyA-Column1-Body1">
                            <p class="table-text">Select the user group for which all the organization tasks must be assigned. The users who are part of the selected user group will be able to view all organization tasks. If this field is not configured, then the tasks will be assigned to the administrator. </p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>